* [gentoo-commits] repo/gentoo:master commit in: app-text/adiff/
@ 2017-06-29 21:17 Patrice Clement
0 siblings, 0 replies; only message in thread
From: Patrice Clement @ 2017-06-29 21:17 UTC (permalink / raw
To: gentoo-commits
commit: e41916e4aa18e6593b81fdcd74d8f234509ee24e
Author: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 29 21:17:28 2017 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Jun 29 21:17:41 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e41916e4
app-text/adiff: EAPI 6 bump. Update SRC_URI and HOMEPAGE.
Gentoo-Bug: https://bugs.gentoo.org/622878
Package-Manager: Portage-2.3.5, Repoman-2.3.1
app-text/adiff/adiff-1.4-r1.ebuild | 43 ++++++++++++++++++++++++++++++++++++++
1 file changed, 43 insertions(+)
diff --git a/app-text/adiff/adiff-1.4-r1.ebuild b/app-text/adiff/adiff-1.4-r1.ebuild
new file mode 100644
index 00000000000..1cb9bebd4b7
--- /dev/null
+++ b/app-text/adiff/adiff-1.4-r1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Wordise diff"
+HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage"
+SRC_URI="mirror://gentoo/${P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+
+DEPEND="
+ dev-lang/perl
+ !app-arch/atool"
+
+RDEPEND="
+ ${DEPEND}
+ sys-apps/diffutils"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ :; # Nothing to unpack.
+}
+
+src_compile() {
+ local _p2m=(
+ --release=${PV}
+ --center="${HOMEPAGE}"
+ --date="2007-12-11"
+ "${DISTDIR}"/${P}
+ ${PN}.1
+ )
+
+ pod2man "${_p2m[@]}" || die
+}
+
+src_install() {
+ newbin "${DISTDIR}/${P}" "${PN}"
+ doman "${PN}.1"
+}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2017-06-29 21:17 UTC | newest]
Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-06-29 21:17 [gentoo-commits] repo/gentoo:master commit in: app-text/adiff/ Patrice Clement
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox